PLATINUM DOCS
ApiVolumes

GET /v1/volumes/by-name

GET
/v1/volumes/by-name

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

name*string

Response Body

application/json

curl -X GET "https://example.com/v1/volumes/by-name?name=string"
{  "id": "string",  "name": "string",  "type": "local",  "driver": "local",  "kind": "volume",  "placement": {    "pinned": true,    "reason": "single_host_backed"  },  "capacity": {    "gib": 0,    "bytes": 0  },  "consistency": {    "model": "close-to-open",    "atomic_append": true,    "advisory_locks": true,    "shared_file_writes": "unsafe",    "attachment_model": "single-writer",    "safe_pattern": "string"  },  "size_gb": 1,  "state": "string",  "host_id": "string",  "mount_path": "string",  "attachment_count": 0,  "attachments": [    {      "id": "string",      "volume_id": "string",      "sandbox_id": "string",      "host_id": "string",      "mount_path": "string",      "subpath": "string",      "mode": "rw",      "driver": "local",      "state": "pending",      "error": "string",      "attached_at": "string",      "detached_at": "string",      "created_at": "string",      "updated_at": "string",      "consistency": {        "model": "close-to-open",        "atomic_append": true,        "advisory_locks": true,        "shared_file_writes": "unsafe",        "attachment_model": "single-writer",        "safe_pattern": "string"      },      "durability": {        "class": "remote-object-store",        "acknowledged_writes": "accepted-by-the-remote-object-store",        "replicated": "unavailable",        "scope": "single-region-single-bucket",        "buffered_writes": "not-observable",        "atomic_multi_file_snapshot": false,        "barrier_supported": true,        "verification": "barrier"      }    }  ],  "usage_bytes": 0,  "inode_quota": 1,  "usage_inodes": 0,  "usage_drift_bytes": 0,  "usage_drift_inodes": 0,  "usage_reconciled_at": "string",  "generation": 1,  "write_locked": true,  "object_count": 0,  "usage_updated_at": "string",  "created_at": "string",  "deleted_at": "string",  "deletion_started_at": "string",  "deletion_completed_at": "string",  "deletion_error": "string"}
Empty